import { l as languageMap } from "../core-sAs8eE0n.js";
import { h as getClosestToken } from "../index-8IqmXG2H.js";
import { c as clikeComment, d as markupComment, h as htmlAutoIndent, e as autoCloseTags, v as voidTags, x as xmlOpeningTag } from "../index-FS0NKxwZ.js";
import "solid-js";
import "../index-SjNLqops.js";
import "solid-js/web";
languageMap.php = {
  comments: clikeComment,
  getComments: (editor, position) => {
    if (getClosestToken(editor, ".php", 0, 0, position))
      return clikeComment;
    return markupComment;
  },
  autoIndent: htmlAutoIndent(xmlOpeningTag, voidTags),
  autoCloseTags: ([start, end], value, editor) => {
    return !value.includes("<?") || getClosestToken(editor, ".php", 0, 0, start) ? "" : autoCloseTags(editor, start, end, value, xmlOpeningTag, voidTags);
  }
};
//# sourceMappingURL=php.js.map
